BEGIN ~PHANTM~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
END

IF ~~ THEN BEGIN 1
  SAY @2
  IF ~~ THEN REPLY @3 GOTO 2
END

IF ~~ THEN BEGIN 2
  SAY @4
  IF ~~ THEN REPLY @5 GOTO 3
END

IF ~~ THEN BEGIN 3
  SAY @6
  IF ~~ THEN REPLY @7 GOTO 4
END

IF ~~ THEN BEGIN 4
  SAY @8
  IF ~~ THEN REPLY @9 GOTO 5
END

IF ~~ THEN BEGIN 5
  SAY @10
  IF ~~ THEN REPLY @11 GOTO 6
END

IF ~~ THEN BEGIN 6
  SAY @12
  IF ~~ THEN REPLY @13 GOTO 7
END

IF ~~ THEN BEGIN 7
  SAY @14
  IF ~~ THEN REPLY @15 EXIT
  IF ~~ THEN REPLY @16 EXIT
END

IF ~Global("LichResurect","GLOBAL",1)
~ THEN BEGIN 8
  SAY @17
  IF ~~ THEN REPLY @18 GOTO 9
END

IF ~~ THEN BEGIN 9
  SAY @19
  IF ~~ THEN REPLY @20 GOTO 10
END

IF ~~ THEN BEGIN 10
  SAY @21
  IF ~~ THEN REPLY @22 GOTO 11
END

IF ~~ THEN BEGIN 11
  SAY @23
  IF ~~ THEN REPLY @24 EXIT
END

IF ~Die()
~ THEN BEGIN 12
  SAY @25
  IF ~~ THEN EXIT
END

IF ~Global("LichDead","GLOBAL",1)
PartyHasItem("CUJAR02")
~ THEN BEGIN 13
  SAY @26
  IF ~~ THEN DO ~AddexperienceParty(2000)
TakePartyItemAll("CUJAR02")
TakePartyItem("CUJAR01")
ActionOverride("PHANTM1",ApplySpell(Myself,0))
ActionOverride("PHANTM2",ApplySpell(Myself,0))
ActionOverride("PHANTM3",ApplySpell(Myself,0))
ActionOverride("PHANTM4",ApplySpell(Myself,0))
ActionOverride("PHANTM5",ApplySpell(Myself,0))
ActionOverride("PHANTM6",ApplySpell(Myself,0))
~ EXIT
END
